Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenTypedefinition

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenDocumentable
org.acplt.oncrpc.apps.jrpcgen.JrpcgenXdrDefinition
org.acplt.oncrpc.apps.jrpcgen.JrpcgenComplexType
org.acplt.oncrpc.apps.jrpcgen.JrpcgenTypedefinition

All Implemented Interfaces:
  `JrpcgenItem`, `JrpcgenTypeMapping`

public class JrpcgenTypedefinition extends JrpcgenComplexType

## Nested Class Summary

## Nested classes/interfaces inherited from class org.acplt.oncrpc.apps.jrpcgen.JrpcgenXdrDefinition

`JrpcgenXdrDefinition.Table, JrpcgenXdrDefinition.Type`

## Field Summary

### Fields inherited from class org.acplt.oncrpc.apps.jrpcgen.JrpcgenDocumentable

`documentation`

## Constructor Summary

Constructors
Constructor
Description
`JrpcgenTypedefinition(JrpcgenDeclaration declaration, JrpcgenContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dump()`
`<T extends Appendable>
T`
`dump(T appendable)`
`void`
`generateJavaFile()`
Generate a source code file containing a wrapper class for a typedef defined in a x-file.
`final JrpcgenDeclaration`
`getDeclaration()`
`final String`
`getTypename()`

### Methods inherited from class org.acplt.oncrpc.apps.jrpcgen.JrpcgenComplexType

`getDefinitionName, getJavaClass, getJavaName, getXdrClass, isBaseType, isBooleanType, isOpaqueType, isStringType, isVoid, writeEqualsExpression, writeJavaToXdr, writeJavaToXdr, writeXdrConstructorCall, writeXdrConstructorCall, writeXdrDecodingCall, writeXdrDynamicVectorDecodingCall, writeXdrDynamicVectorEncodingCall, writeXdrEncodingCall, writeXdrEncodingCall, writeXdrFixedVectorDecodingCall, writeXdrFixedVectorEncodingCall, writeXdrToJava, writeXdrVectorCodingMethods`

### Methods inherited from class org.acplt.oncrpc.apps.jrpcgen.JrpcgenXdrDefinition

`getIdentifier, getXdrType, isConst, isEnum, isStruct, isTypedef, isUnion`

### Methods inherited from class org.acplt.oncrpc.apps.jrpcgen.JrpcgenDocumentable

`appendDeprecatedOrNothing, appendDeprecatedOrNothing, documentationIsEmpty, documentationIsProvided, emptyDocumentation, getDocumentation, getIdentedDocu, getIdentedDocu, isDeprecated, writeDocumentation, writeDocumentation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JrpcgenTypedefinition

public JrpcgenTypedefinition(JrpcgenDeclaration declaration, JrpcgenContext context)

## Method Details

### getDeclaration

public final JrpcgenDeclaration getDeclaration()

### getTypename

public final String getTypename()

### generateJavaFile

public void generateJavaFile()
Generate a source code file containing a wrapper class for a typedef defined in a x-file.

Specified by:
  `generateJavaFile` in class `JrpcgenComplexType`

### dump

public void dump()

### dump

public <T extends Appendable> T dump(T appendable)